Run of lintian-fixes for esniper

Try this locally (using the lintian-brush package):

debcheckout esniper
cd esniper
lintian-brush

Merge these changes:

git pull https://janitor.debian.net/git/esniper lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 8dab616..875e05f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+esniper (2.35.0+git20190805.7930bb4-2) UNRELEASED; urgency=medium
+
+  * Remove empty debian/patches/series.
+  * Update standards version to 4.4.1, no changes needed.
+  * Set debhelper-compat version in Build-Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Mon, 18 Nov 2019 22:17:26 +0000
+
 esniper (2.35.0+git20190805.7930bb4-1) unstable; urgency=medium
 
   [ Dmitry Smirnov ]
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index 48082f7..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-12
diff --git a/debian/control b/debian/control
index 9d7ce0a..dab2a28 100644
--- a/debian/control
+++ b/debian/control
@@ -3,13 +3,13 @@ Section: misc
 Priority: optional
 Maintainer: Dima Barsky <dima@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 12~)
+Build-Depends: debhelper-compat (= 12)
     ,comerr-dev
     ,libcurl4-openssl-dev | libcurl4-dev
     ,libidn11-dev
     ,libkrb5-dev
     ,zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://esniper.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/debian/esniper
 Vcs-Git: https://salsa.debian.org/debian/esniper.git
diff --git a/debian/patches/series b/debian/patches/series
deleted file mode 100644
index e69de29..0000000

Publish History

Full worker log Full build log